Last Comment Bug 809617 - Do not update a translation with the slug of its parent
: Do not update a translation with the slug of its parent
Status: VERIFIED FIXED
c=Editing p=3
:
Product: Mozilla Developer Network
Classification: Other
Component: Localization (show other bugs)
: unspecified
: x86 Mac OS X
: P1 major (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
: David Walsh :davidwalsh
Mentors:
Depends on: 798809 810088 810089 810090
Blocks: 782491
  Show dependency treegraph
 
Reported: 2012-11-07 13:43 PST by David Walsh :davidwalsh
Modified: 2013-11-11 18:22 PST (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description David Walsh :davidwalsh 2012-11-07 13:43:07 PST
In researching other slug bugs, I found something very bad:  the incorrect translation slug is sent to the translation edit page.  To duplicate:

1.  Create an en-US document with a slug "html"
2.  Translate to French with a slug of "somethingelse"
3.  Click the edit button for the French document.
4.  Click "save changes"
5.  You'll see that the slug says "html", which is the slug of the root/parent document, *not* the French translation

My research shows that this never quite worked correctly.  If I pass the document_slug as the revision.slug, the translate page 404s.
Comment 1 David Walsh :davidwalsh 2012-11-07 13:45:30 PST
CC'ing other devs on this because it's a fairly large issue.
Comment 2 David Walsh :davidwalsh 2012-11-07 13:48:38 PST
A few other things I'll point out:

1.  Redirects are being created properly, so this isn't the end of the world
2.  This is probably causing the occasional "slug is taken" warnings.
Comment 3 [github robot] 2012-11-09 11:58:12 PST
Commit pushed to master at https://github.com/mozilla/kuma

https://github.com/mozilla/kuma/commit/6ba1c1b220db88892f29c9da910ecc52ff7253aa
fix bug 809617 - Prevent document slug override
Comment 4 raymond [:retornam] (needinfo? me) 2012-11-13 11:39:19 PST
verified fixed translated the https://developer.allizom.org/en-US/docs/HTML/HTML5  to French
https://developer.allizom.org/fr/docs/HTML/HTML5testFrench and the new slug was saved

Note You need to log in before you can comment on or make changes to this bug.